# draugr.tqdm_utilities.pooled_progress_bar

Map functions with tqdm progress bars for parallel and sequential processing.

Functions

`parallel_map`(function, *iterables, **kwargs) | Performs a parallel ordered map with a progress bar.
`parallel_imap`(function, *iterables, **kwargs) | Returns a generator for a parallel ordered map with a progress bar.
`parallel_umap`(function, *iterables, **kwargs) | Performs a parallel unordered map with a progress bar.
`parallel_uimap`(function, *iterables, **kwargs) | Returns a generator for a parallel unordered map with a progress bar.
`sequential_map`(function, *iterables, **kwargs) | Performs a sequential map with a progress bar.
`sequential_imap`(function, *iterables, **kwargs) | Returns a generator for a sequential map with a progress bar.